#!/bin/sh
# QEMU/VDE network environment preparation script

case "$1" in
  start)
        echo "Starting VDE network for QEMU: "
	vde_switch -daemon -mod 660
	slirpvde --dhcp --daemon
	qemu -m 512 -nic vde,mac='52:54:00:12:34:56' -hda alpine1.qcow2 -daemonize -vnc :1
	qemu -m 512 -nic vde,mac='52:54:00:12:34:66' -hda alpine2.qcow2 -daemonize -vnc :1
	# -nographic statt -daemonize -vnc :1 für Terminalinterface
	;;
  stop)
        echo "Stopping VDE network for QEMU: "
        pkill vde_switch
	pkill slirpvde
        ;;
  restart|reload)
        $0 stop
        sleep 1
        $0 start
        ;;
  *)
        echo "Usage: $0 {start|stop|restart|reload}"
        exit 1
esac
exit 0
